Subject: Re: [PATCH] net/core/sysctl_net_core.c unused variable

From: Nick Warne <[email-masked]>
Date: Sun, 06 Sep 2015 16:36:11 +0100

On 06/09/15 16:28, Joe Perches wrote:
> On Sun, 2015-09-06 at 16:16 +0100, Nick Warne wrote:
>> On 06/09/15 15:52, Joe Perches wrote:
>> > On Sun, 2015-09-06 at 15:13 +0100, Nick Warne wrote:
>> >> gcc version 4.8.2 (GCC) warns that 'static int one = 1;' is declared but
>> >> not used in file net/core/sysctl_net_core.c.
>> >
>> > Only when CONFIG_NET isn't set.
>>
>> CONFIG_NET=y
>>
>> Peculiar indeed.
>>
>> >> Reading the file, that is
>> >> the case.  Attached is a patch to remove it.
>> >
>> > $ git grep -w -n one net/core/sysctl_net_core.c
>> > net/core/sysctl_net_core.c:26:static int one = 1;
>> > net/core/sysctl_net_core.c:332:         .extra2         = &one
>> >
>> >> Signed-off-by:  Nick Warne <[email-masked]>
>> >
>> > Please use grep to augment reading.
>>
>> grep -w -n one net/core/sysctl_net_core.c
>> 26:static int one = 1;
>>
>> ?
>>
>> I just don't have the &one.
>>
>> I am confused now.
>
> What source tree are you using?

Latest longterm 3.18.21

> What changes in what branch exist?

I am not using git (if that is what you mean by 'branches') - just 
tarballs from kernel.org
>
> btw: please use scripts/get_maintainer.pl to better
> determine who should be cc'd on your patches.
>
> you left out netdev.

Sorry, my bad, I need to learn/read more.

Thanks for your help/advice :)

Nick
-- 
Gosh that takes me back... or is it forward?  That's the trouble with
time travel, you never can tell."
		-- Doctor Who "Androids of Tara"